Bug 403111 - Please add xmlrpc-c support to rtorrent (Was: A new version of rtorrent has been released.)
Please add xmlrpc-c support to rtorrent (Was: A new version of rtorrent has b...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: rtorrent (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 11:24 EST by Ronald
Modified: 2008-12-14 00:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-14 00:05:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald 2007-11-28 11:24:19 EST
http://libtorrent.rakshasa.no/

Libtorrent (0.11.9) and rtorrent (0.7.9) have been declared as stable.

Just to let you know :)
Comment 1 ajayr 2007-12-18 12:52:50 EST
Can you please try and enable the xmlrpc-c interface this time around? I would
like to use a web interface to control a remote rtorrent.
Comment 2 Ronald 2007-12-18 12:57:30 EST
I guess he is gone for a while :)
Comment 3 Avi Alkalay 2008-01-10 19:48:43 EST
I tryied to update the RPM and failed.

Looks like a new version of the XMLRPC-C library is needed. This lib has 2
branches: the stable 1.06 (compiled for Fedora) and a new one 1.12 declared as
unstable.

To create a new package (xmlrpc-c112) is far more work than just updating
existing packages, so I stopped here cause I have to sleep.

Try to live with controlling rtorrent remotely with SSH and a SCREEN session for
now.
Comment 4 ajayr 2008-03-19 00:11:29 EDT
(In reply to comment #3)
> I tryied to update the RPM and failed.
> 
> Looks like a new version of the XMLRPC-C library is needed. This lib has 2
> branches: the stable 1.06 (compiled for Fedora) and a new one 1.12 declared as
> unstable.
> 
> To create a new package (xmlrpc-c112) is far more work than just updating
> existing packages, so I stopped here cause I have to sleep.
> 
> Try to live with controlling rtorrent remotely with SSH and a SCREEN session for
> now.

I can confirm that the new xmlrpc-c in rawhide can support libtorrent-0.12 &
rtorrent-0.8 with the xmlrpc-c Please see bug no 369841

Please update libtorrent to version 0.12 and rtorrent to version 0.8 and enable
the --with-xmlrpc flag in rtorrent

Thanks & best regards
Ajay
Comment 5 Conrad Meyer 2008-10-12 04:37:28 EDT
Seeing as how this bug has been around for months, Chris, would you like to have a co-maintainer to help keep this package up to date? I have an interest in it.
Comment 6 Conrad Meyer 2008-10-27 20:35:38 EDT
Can we apply [0] here? The maintainer hasn't replied to this bug in almost a year (!!) and we're stuck with an ancient libtorrent/rtorrent in Fedora.

[0]: http://fedoraproject.org/wiki/PackageMaintainers/Policy/NonResponsiveMaintainers
Comment 7 Bug Zapper 2008-11-26 03:44:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Conrad Meyer 2008-11-26 03:47:45 EST
Already been fixed. However, 0.8.4/0.12.4 are out now and I plan to push them this weekend. So I'll leave this bug open for now.
Comment 9 Conrad Meyer 2008-11-28 20:38:24 EST
I've pushed rtorrent/libtorrent 0.8.4/0.12.4 as updates to F-9 and F-10. Should we close this bug now?
Comment 10 ajayr 2008-12-03 00:31:42 EST
(In reply to comment #9)
> I've pushed rtorrent/libtorrent 0.8.4/0.12.4 as updates to F-9 and F-10. Should
> we close this bug now?

with the current versions of xmlrpc-c in F9 & F10 it compiles OK. can you add --with-xmlrpc-c to the %configure line please.

Ajay
Comment 11 Conrad Meyer 2008-12-03 00:42:14 EST
Sure! Thanks for pointing this out.
Comment 12 Conrad Meyer 2008-12-03 00:52:49 EST
The rtorrent xmlrpc code doesn't build in mock for me. (See http://students.washington.edu/cemeyer/build.log).

Note You need to log in before you can comment on or make changes to this bug.